%undefine _package_note_flags

Summary:       Apache Portable Runtime library
Name:          apr
Version:       1.7.5
Release:       3%{?dist}
License:       ASL 2.0 and BSD with advertising and ISC and BSD
URL:           https://apr.apache.org/
Source0:       https://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2

Patch0002: f8e45525c7f945f8b53510d1ee1768c4381b2da7.patch
Patch0003: 191479a91b47cbe367113132355f514f72115c57.patch
Patch0004: 6a2993b9493bff7b6b20858730cba16a218e46b1.patch

BuildRequires: gcc, make, autoconf, libtool, libuuid-devel, python3

%description
The mission of the Apache Portable Runtime (APR) project is to
create and maintain software libraries that provide a predictable
and consistent interface to underlying platform-specific implementations. 

%package       devel
Summary:       APR library development kit
Requires:      apr = %{version}-%{release}, pkgconfig

%description   devel
This package provides header files and dynamic libraries
for developers of apr apps.

%prep
%autosetup -p1

%build
%global subver 1
./buildconf

%configure \
        --disable-static \
        --includedir=%{_includedir}/apr-%{subver} \
        --with-installbuilddir=%{_libdir}/apr-%{subver}/build \
        --with-devrandom=/dev/urandom
%make_build

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/%{_datadir}/aclocal
install -m644 build/find_apr.m4 %{buildroot}/%{_datadir}/aclocal

sed -ri '/^LIBS=/{s,-l(uuid|crypt) ,,g;s/  */ /g}' \
      %{buildroot}%{_bindir}/apr-%{subver}-config
sed -ri '/^Libs/{s,-l(uuid|crypt) ,,g}' \
      %{buildroot}%{_libdir}/pkgconfig/apr-%{subver}.pc

#find %{buildroot} -type f -name "*.la" -delete
rm -f %{buildroot}%{_libdir}/apr.exp
rm -f %{buildroot}%{_libdir}/libapr-*.a

%check
make check

%files
%license LICENSE
%doc CHANGES NOTICE README*
%{_libdir}/libapr-%{subver}.so.*

%files devel
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%{_bindir}/apr-%{subver}-config
%{_libdir}/libapr-%{subver}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libapr-1.la
%dir %{_libdir}/apr-%{subver}
%dir %{_libdir}/apr-%{subver}/build
%{_libdir}/apr-%{subver}/build/*
%dir %{_includedir}/apr-%{subver}
%{_includedir}/apr-%{subver}/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Thu Feb 06 2025 Tracker Robot <trackbot@opencloudos.tech> - 1.7.5-3
- [Type] bugfix
- [DESC] Apply patches from rpm-tracker
- [Unknown] 75e34857483ad8001c3e3fdb4329ea0c31a8ea7f.patch: add CVE for release
- [Bug Fix] f8e45525c7f945f8b53510d1ee1768c4381b2da7.patch: Merged r1920432 from trunk:
- [Unknown] 191479a91b47cbe367113132355f514f72115c57.patch: On 1.7.x branch: Merge revision r1920350 from trunk:
- [Bug Fix] 6a2993b9493bff7b6b20858730cba16a218e46b1.patch: Merge r1920680 from trunk:

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.5-2
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Wed Sep 18 2024 kianli <kianli@tencent.com> - 1.7.5-1
- [TYPE] security
- [DESC] Upgrade to 1.7.5 to fix CVE-2023-49582

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.7.4-1
- Upgrade to 1.7.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 5 2022 cunshunxia <cunshunxia@tencent.com> - 1.7.0-1
- initial build
